{
  "codeName" : "Main_2",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book/PSFORMS/Main_2.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "LOAD", "SAVE", "REMOVE" ],
  "logicName" : "测试表单",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Book.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "LOAD;SAVE;REMOVE",
    "logicTag" : "form",
    "logicType" : "APPVIEWENGINE",
    "name" : "engine_form",
    "getPSAppViewEngine" : {
      "modelref" : true,
      "id" : "engine"
    }
  } ],
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKNAME",
      "codeName" : "BookName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "field",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD",
      "codeName" : "Field"
    }
  }, {
    "id" : "field3",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD3",
      "codeName" : "Field3"
    }
  }, {
    "id" : "field4",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "FIELD4",
      "codeName" : "Field4"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "updateman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "UPDATEMAN",
      "codeName" : "UpdateMan"
    }
  }, {
    "id" : "updatedate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "bookid",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "BOOKID",
      "codeName" : "BookId"
    }
  } ],
  "getPSDEFormPages" : [ {
    "caption" : "基本信息",
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "caption" : "配了重置项的",
      "codeName" : "field",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 2000,
        "name" : "field"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "属性3",
      "codeName" : "field3",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field3",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "getPSEditor" : {
        "editorParams" : {
          "AC" : "TRUE",
          "TRIGGER" : "TRUE",
          "PICKUPVIEW" : "FALSE"
        },
        "editorType" : "PICKEREX_TRIGGER",
        "handlerType" : "PickupText",
        "name" : "field3",
        "getPSEditorItems" : [ {
          "name" : "field4"
        } ],
        "valueItemName" : "field4",
        "enableAC" : true,
        "enablePickupView" : false,
        "forceSelection" : true,
        "showTrigger" : true,
        "singleSelect" : true
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "resetItemName" : "field",
      "resetItemNames" : [ "field" ],
      "valueItemName" : "field4",
      "allowEmpty" : false,
      "showCaption" : true
    }, {
      "caption" : "属性4",
      "codeName" : "field4",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "field4",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "field4"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "resetItemName" : "field",
      "resetItemNames" : [ "field" ],
      "allowEmpty" : false,
      "hidden" : true,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  }, {
    "caption" : "其它",
    "codeName" : "formpage2",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage2",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "caption" : "操作信息",
      "codeName" : "group2",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "group2",
      "getPSDEFormDetails" : [ {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "更新人",
        "codeName" : "updateman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updateman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      }, {
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "updatedate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : false,
  "modelid" : "4D7A4E64-CB64-4D4D-A392-88FB4ADC56D0",
  "modeltype" : "PSDEFORM_EDITFORM"
}